# Module: keyring/localstore

## keyring/localstore

#### new require("keyring/localstore")()

  Source:
    - keyring/localstore.js, line 26

Source:
  - keyring/localstore.js, line 18

### Methods

#### init()

  Initialization routine for the keyring. This method reads the keyring from HTML5 local storage and initializes this instance. This method is called by openpgp.init().
  Source:
    - keyring/localstore.js, line 32

#### store()

  Saves the current state of the keyring to HTML5 local storage. The privateKeys array and publicKeys array gets Stringified using JSON
  Source:
    - keyring/localstore.js, line 49